Show an individual Expenditure Run in API Explorer
Ask AI
This endpoint allows you to view an individual expenditure.
GET
/api/v1/client/{client_uuid}/expenditure/{id}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/client/f6aa1670-dcf0-484e-a0c5-08590fe89a84/expenditure/architecto' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
[
{
"uuid": "56c2e7f6-013a-490a-9a33-58a3c8e2dfef",
"created_at": "2026-11-19T12:59:39+00:00",
"updated_at": "2026-11-19T12:59:39+00:00",
"name": "Electricity",
"section": "Housekeeping Expenses",
"amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"position": "1",
"life_stage_uuid": "46460cfd-ad25-4d2c-ba6c-4e73b7f55678",
"life_stage_section_uuid": "0e3d92d5-59c5-470d-9b0d-7566d6922a8f",
"life_stage_field_uuid": "1ddfa4d9-3ea3-4c5f-88de-e7bee16e8e1b",
"accounts": "[]"
}
]